%define name	extra-fonts
%define version	1.2
%define release	3%{_my_ext}
Vendor:         %{vendor}
Packager:       %{packager}
Distribution:   %{distribution}

Summary:	Collection of High Quality TrueType fonts
Name:		%{name}
Version:	%{version}
Release:	%{release}

License:	GPL
Group:		User Interface/X
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/build-root-%{name}%{version}
BuildArch:	noarch
Requires:	freetype
Prefix:		/usr/share/fonts
Url:		http://rpm.borgnet.us

%description
Collection of high quality TrueType fonts.
The fonts:
ADINEKIR ALISON ARISTON1 bravo CAMPAIGN COMMERCIALSCRIPT Coronet-SemiBold-Italic CURSIVE DS_Celtic-1 DS_Celtic-2
fairy files.txt Funstbi Funstb Funsti Funst GAMBLER HANCOCK Islabell JANGB Jokerman jumbalay loony Tolkienu YAWNOVIS

%package style
Summary: Beautifull TrueType fonts
Group: User Interface/X
%description style
Collection of high quality TrueType fonts.
The fonts:
ADINEKIR ALISON ARISTON1 bravo CAMPAIGN COMMERCIALSCRIPT Coronet-SemiBold-Italic CURSIVE DS_Celtic-1 DS_Celtic-2 ENGLISH
fairy fifty files.txt Funstbi Funstb Funsti Funst GAMBLER HANCOCK Islabell JANGB Jokerman jumbalay loony Tolkienu YAWNOVIS

%prep
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT

%setup -q

%build

%install
mkdir -p $RPM_BUILD_ROOT/%{prefix}/extra-fonts
mv main/* $RPM_BUILD_ROOT/%{prefix}/extra-fonts

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%{prefix}/extra-fonts

%post
{
	ttmkfdir -d %{prefix}/extra-fonts \
    		-o %{prefix}/extra-fonts/fonts.scale
	umask 133
	/usr/X11R6/bin/mkfontdir %{prefix}/extra-fonts
	/usr/sbin/chkfontpath -q -a %{prefix}/extra-fonts
	[ -x /usr/bin/fc-cache ] && /usr/bin/fc-cache
} &> /dev/null || :

%preun
{
	if [ "$1" = "0" ]; then
		cd %{prefix}/extra-fonts
		rm -f fonts.dir fonts.scale fonts.cache*
	fi
} &> /dev/null || :

%postun
if [ "$1" = "0" ]; then
  /usr/sbin/chkfontpath -q -r %{prefix}/extra-fonts
fi
[ -x /usr/bin/fc-cache ] && /usr/bin/fc-cache


%changelog

* Fri Oct 7 2005 Scott Grayban <sgrayban@borgnet.us>
 - rebuild for 2006

* Sat Feb 12 2005 Scott Grayban <sgrayban@borgnet.us> 1.2.2
- Fixed a font issue with OpenOffice
- http://ww2.borgnet.us/bugzilla/show_bug.cgi?id=3

* Thu Nov 26 2004 Scott Grayban <sgrayban@borgnet.us> 1.2.1
- Build for MDK 10.1
